echo off
cls
rem        This is a batch file that controls the execution of dbk.
rem        you will need a copy of batmen.exe in the default dir or
rem        somewhere available via your PATH statement.  If you have
rem        downloaded DBKASE, SUMO and the rest via the BBS, you should
rem        call back in and take BATMEN.ZIP as well!@
rem
rem        This is not mandatory.  You can always load DBKASE, SUMO
rem        and the rest directly from the DOS prompt.  The biggest
rem        benefit is when you want to go from DBKASE to SUMO.

:main
rem
rem  CD\DBK
rem  You might want to include the above line to make sure that you always
rem  begin in the directory that contains your DBK system files.
rem
batmen Edit_rounds/coursesE Summarize_(SUMO)S Old_summaryO Read_newsR ChangesC File_bug_reportF eXitX /a2 /H_DBK-ii /t15
if errorlevel 7 goto end
if errorlevel 6 goto bugs
if errorlevel 5 goto new
if errorlevel 4 goto news
if errorlevel 3 goto sumold
if errorlevel 2 goto sumo
if errorlevel 1 goto edit
goto end

rem   If you keep SUMO in a drive other than the default, then you must
rem   include the drive path in front of the line that has SUMO in all
rem   upper case!   e.g.,  if you keep it in the A: drive, then the line
rem   should be A:SUMO

:sumo
IF NOT exist SUMO.EXE goto sgone
cls
echo Loading SUMO!
SUMO
IF errorlevel 1 goto edit
goto main

:sumold
IF not exist dbks.exe goto gosh!
DBKS
goto main

:new
rdfile whats.new
goto main

:bugs
IF exist bug.rep goto oops
copy bug.txt bug.rep
ted bug.rep
fwait 60 /fbug.msg
goto main

:oops
fwait 60 /foops.msg
goto main

:news
rdfile news.g90
goto main

:edit
cls
echo LOADING Primary database... DBKASE
dbkase
IF errorlevel 1 goto sumo
goto main

:gosh!
fwait 60 /fgosh!.msg
goto main

:sgone
fwait 60 /fsumo!.msg
goto main

:end
cls
type bully
echo Enter DBK to restart
